/* eslint-disable prefer-rest-params */
export default function (fn: Function, ctx: unknown) {
  const slice = Array.prototype.slice;
  const args = slice.call(arguments, 2);
  return function () {
    return fn.apply(ctx, args.concat(slice.call(arguments)));
  };
}
