export const isClient = typeof window !== 'undefined';
const userAgent = isClient
  ? window.navigator.userAgent.toLowerCase()
  : 'node_env';

export const isFirefox = userAgent.indexOf('firefox') >= 0;
export const isAndroid = userAgent.indexOf('android') >= 0;
export const isOS = /(iphone|ipad|ipod|ios)/.test(userAgent);
export const isWindowsPhone = userAgent.indexOf('windows phone') >= 0;
export const isSymbianos = userAgent.indexOf('symbianos') >= 0;
export const isMobile = isAndroid || isOS || isWindowsPhone || isSymbianos;
