export default function getURLParam(name: string, search = location.search) {
  const rx = new RegExp(`[?|&]${name}=([^&;]+?)(&|#|;|$)`);
  const ar = rx.exec(search);
  return ar && ar.length > 1
    ? decodeURIComponent(ar[1].replace(/\+/g, '%20'))
    : null;
}
