import copy from '../src/copy';

test('copy object', () => {
  const target = {
    a: 1,
    b: [2, 3],
    hi: (m: string) => console.log(m) // 被 JSON.stringify 过滤
  };
  expect(JSON.stringify(copy(target), null, 2)).toEqual(
    JSON.stringify(target, null, 2)
  );
});

test('copy array', () => {
  const arr = [1, 2, 3, { name: 'jack' }];
  expect(JSON.stringify(copy(arr), null, 2)).toEqual(
    JSON.stringify(arr, null, 2)
  );
});
