import getURLParam from '../src/getURLParam';

test('util: getURLParam', () => {
  const search = './?name=jack&age=12&isRead=false&';
  const search1 = './?name=j a c+k.&age=12&isRead=false&';
  expect(getURLParam('name', search)).toEqual('jack');
  expect(getURLParam('age', search)).toEqual('12');
  expect(getURLParam('isRead', search)).toEqual('false');
  expect(getURLParam('like', search)).toBeNull;
  expect(getURLParam('name', search1)).toEqual('j a c k.');
});
