import { isBooleanish } from '../src/type';

test('should be return true', () => {
  [true, false, 'false', 'true'].forEach(t => {
    expect(isBooleanish(t)).toBe(true);
  });
});

test('should be return false', () => {
  [
    0,
    'false ',
    't r u e',
    NaN,
    'null',
    'undefined',
    null,
    undefined,
    void 0
  ].forEach(t => {
    expect(isBooleanish(t)).toBe(false);
  });
});
